;=========================================================================
(defun c:kolortla-old ()
(if (= (getvar "bkgcolor") 0)
(setvar "bkgcolor" 7)
(setvar "bkgcolor" 0)
);if
(princ)
);defun kolortla
;=========================================================================

;=========================================================================
(defun c:kolortla-old2 (/ pref col tm cur)
	
	(setq tm (getvar "tilemode"))
	(setq pref	(vla-get-display
					(vla-get-Preferences
						(vlax-get-acad-object)
					)
				)
	)
	
	
	(if (zerop tm)
		(setq cur (vla-get-graphicswinlayoutbackgrndcolor pref))
		(setq cur (vla-get-graphicswinmodelbackgrndcolor pref))
	)

	
(setq col	(vlax-variant-value
				(vlax-variant-change-type cur vlax-vblong)
			)
)
  
	(if (not (or (eq col 0) (eq col 16777215)))
		(setq col 0)
	)
  
  
(cond	((zerop tm)
			(vla-put-graphicswinlayoutbackgrndcolor
				pref
				(vlax-make-variant (abs (- col 16777215)) vlax-vblong)
			)
			(vla-put-layoutcrosshaircolor
				pref
				(vlax-make-variant col vlax-vblong)
			)
		)
		(t
			(vla-put-graphicswinmodelbackgrndcolor
				pref
				(vlax-make-variant (abs (- col 16777215)) vlax-vblong)
			)
			(vla-put-modelcrosshaircolor
				pref
				(vlax-make-variant col vlax-vblong)
			)
		)
)

(vlax-release-object pref)
(princ)

)
;=========================================================================

;=========================================================================
(defun c:kolortla (/ pref col tm cur pary)
	
	(setq tm (getvar "tilemode"))
	(setq pref	(vla-get-display
					(vla-get-Preferences
						(vlax-get-acad-object)
					)
				)
	)
	
	
	(if (zerop tm)
		(setq cur (vla-get-graphicswinlayoutbackgrndcolor pref))
		(setq cur (vla-get-graphicswinmodelbackgrndcolor pref))
	)

;;;;;;;;;;;;;;;;
(setq	col	(vlax-variant-value
				(vlax-variant-change-type cur vlax-vblong)
			)
		pary	(list	'(0 727080 16777215) ; jest tlo - bedzie tlo - bedzie krzyz
						'(727080 14935011 0)
						'(14935011 16777215 0)
						'(16777215 0 16777215)
				)
)


;;;;;;;;;;;;;;;;
(print col) ; wyswietla aktyalny kolor ta - przydatne podczas wybierania
(if (not (or
		(eq col (car (nth 0 pary)))
		(eq col (car (nth 1 pary)))
		(eq col (car (nth 2 pary)))
		(eq col (car (nth 3 pary)))
	))
	(setq col (car (nth 3 pary)))
)


;;;;;;;;;;;;;;;;


(if (zerop tm)
			(foreach % pary
				(if (= col (car %))
					(progn
						(vla-put-graphicswinlayoutbackgrndcolor
							pref
							(vlax-make-variant (nth 1 %) vlax-vblong)
						)
						(vla-put-layoutcrosshaircolor
							pref
							(vlax-make-variant (nth 2 %) vlax-vblong)
						)
					)
				)
			)

			(foreach % pary
				(if (= col (car %))
					(progn
						(vla-put-graphicswinmodelbackgrndcolor
							pref
							(vlax-make-variant (nth 1 %) vlax-vblong)
						)
						(vla-put-modelcrosshaircolor
							pref
							(vlax-make-variant (nth 2 %) vlax-vblong)
						)
					)
				)
			)
)



(vlax-release-object pref)
(princ)

)
;=========================================================================

;=========================================================================
(defun c:oznprzekr:old ( / dcl_id DCL_skala DCL_symbol zamkniecie P1 P2 SKALA P3 katciecia P4 P5 katkierunku A1 A2 A3 A4 A5 A6 A7 A8 A9 )
(mh:ustzap)


 (setq dcl_id (load_dialog "profilek-inne.dcl"))
	   (if (not (new_dialog "przekroj" dcl_id))
		(progn
			(alert "Nie znaleziono pliku profilek-inne.dcl")
			(exit)
			);progn
		);if
		
;==================
	(if (null *DCL_przekroj*)
        (setq *DCL_przekroj* (list "0,25" "A"))
      )		
      (setq DCL_skala (car *DCL_przekroj*)
            DCL_symbol (cadr *DCL_przekroj*)
      ) 
;==================		
      (foreach % (list "DCL_skala" "DCL_symbol")
	  
	    (set_tile % (eval (read %)))
        (action_tile % (strcat "(setq " % " $value)"))
      )
;================
		   
		   (action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
		   (action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
   
   (start_dialog)
   (unload_dialog dcl_id)
   
    
		(if (= zamkniecie 1)
			   (progn
						(setq *DCL_przekroj* (list DCL_skala DCL_symbol))
			  );progn
		);if


;=========================================================================
;Sprawdzenie i podstawienie do zmiennych numerycznych wartoci z editbox'w
(if (> (atof (mh:MsgCommaToDot DCL_skala)) 0)
(setq SKALA (atof (mh:MsgCommaToDot DCL_skala)))
(progn
(alert "Skala strzaki nie jest wpisana poprawnie !")
(setq zamkniecie 0)
)
)
;=========================================================================


(if (= zamkniecie 1)
(progn

(if (null (tblsearch "Ltype" "IS_dot_v002"))
		(command "_-linetype" "_l" "IS_dot_v002" "profilek"  "")
);if


(mh:ACX_MAKE_TextStyle_TTF "IS_Arial" "Arial" nil 0.8 nil T)

(if (tblsearch "Layer" "IS_przekroje_oznaczenia")
  (command "_clayer" "IS_przekroje_oznaczenia")
 (progn
	(command "_-layer"
		"_N" "TEMP-LAYER"
		"_C" "3" "TEMP-LAYER"
		"_L" "Continuous" "TEMP-LAYER"
		"_LW" "0.18" "TEMP-LAYER" "")
	(command "_rename" "_LA" "TEMP-LAYER" "IS_przekroje_oznaczenia")
	(command "_clayer" "IS_przekroje_oznaczenia")
 );progn
);if
(setvar "osnapcoord" 1)


;=========================================================================
(setq	P1 (getpoint "\nKliknij pierwszy punkt oznaczenia przekroju.")
		P2 (getpoint P1 "\nKliknij drugi punkt oznaczenia przekroju.")
);setq
;=========================================================================
(setvar "celtype" "IS_dot_v002")
(command "_line" P1 P2 "")
(setvar "celtype" "BYLAYER")
;=========================================================================
(setq	P3 (getpoint P1 "\nKliknij kierunek odejcia")
		katciecia (+ (* 2 pi) (angle P1 P2))
		P4 (polar P3 (+ katciecia (/ pi 2)) (distance P1 P2))
		P5 (inters P1 P2 P3 P4 nil)
		katkierunku (+ (* 2 pi) (angle P5 P3))
);setq
;=========================================================================
(if katkierunku
	(progn
		(setq	A1 (polar P1 katkierunku (* 45 SKALA))
				A2 (polar A1 (+ katkierunku (/ pi 2)) (* 13 SKALA))
				A8 (polar A1 (- katkierunku (/ pi 2)) (* 13 SKALA))
				A3 (polar A2 (- katkierunku 0.13) (* 47 SKALA))
				A7 (polar A8 (+ katkierunku 0.13) (* 47 SKALA))
				A4 (polar A3 (+ katkierunku (/ pi 2)) (* 13 SKALA))
				A6 (polar A7 (- katkierunku (/ pi 2)) (* 13 SKALA))
				A5 (polar A1 katkierunku (* 80 SKALA))
				A9 (polar A1 (+ katkierunku (/ pi 2)) (* 36 SKALA))
		);setq
		(command	"_line" P1 A1 ""
					"_pline" A1 "_w" "0" "0" A2 A3 A4 A5 A6 A7 A8 "_c"
					"_.text" "_J" "_C" A9 (rtos (* 42 SKALA) 2 2) (rtos (/ (* (- katkierunku (/ pi 2)) 180) pi) 2 2) DCL_symbol
		);command

		(setq	A1 (polar P2 katkierunku (* 45 SKALA))
				A2 (polar A1 (+ katkierunku (/ pi 2)) (* 13 SKALA))
				A8 (polar A1 (- katkierunku (/ pi 2)) (* 13 SKALA))
				A3 (polar A2 (- katkierunku 0.13) (* 47 SKALA))
				A7 (polar A8 (+ katkierunku 0.13) (* 47 SKALA))
				A4 (polar A3 (+ katkierunku (/ pi 2)) (* 13 SKALA))
				A6 (polar A7 (- katkierunku (/ pi 2)) (* 13 SKALA))
				A5 (polar A1 katkierunku (* 80 SKALA))
				A9 (polar A1 (- katkierunku (/ pi 2)) (* 36 SKALA))
		);setq
		(command	"_line" P2 A1 ""
					"_pline" A1 "_w" "0" "0" A2 A3 A4 A5 A6 A7 A8 "_c"
					"_.text" "_J" "_C" A9 (rtos (* 42 SKALA) 2 2) (rtos (/ (* (- katkierunku (/ pi 2)) 180) pi) 2 2) DCL_symbol
		);command
	);progn
);if



);progn
);if


(mh:ustprzywr) 
);defun
;=========================================================================

;=========================================================================
(defun c:oznprzekr ( / dcl_id DCL_skala DCL_symbol zamkniecie P1 P2 SKALA P3 katciecia P4 P5 katkierunku A1 A2 A3 A4 A5 A6 A7 A8 A9 )
(mh:ustzap)


 (setq dcl_id (load_dialog "profilek-inne.dcl"))
	   (if (not (new_dialog "przekroj" dcl_id))
		(progn
			(alert "Nie znaleziono pliku profilek-inne.dcl")
			(exit)
			);progn
		);if
		
;==================
	(if (null *DCL_przekroj*)
        (setq *DCL_przekroj* (list "0,25" "A"))
      )		
      (setq DCL_skala (car *DCL_przekroj*)
            DCL_symbol (cadr *DCL_przekroj*)
      ) 
;==================		
      (foreach % (list "DCL_skala" "DCL_symbol")
	  
	    (set_tile % (eval (read %)))
        (action_tile % (strcat "(setq " % " $value)"))
      )
;================
		   
		   (action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
		   (action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
   
   (start_dialog)
   (unload_dialog dcl_id)
   
    
		(if (= zamkniecie 1)
			   (progn
						(setq *DCL_przekroj* (list DCL_skala DCL_symbol))
			  );progn
		);if


;=========================================================================
;Sprawdzenie i podstawienie do zmiennych numerycznych wartoci z editbox'w
(if (> (atof (mh:MsgCommaToDot DCL_skala)) 0)
(setq SKALA (atof (mh:MsgCommaToDot DCL_skala)))
(progn
(alert "Skala strzaki nie jest wpisana poprawnie !")
(setq zamkniecie 0)
)
)
;=========================================================================


(if (= zamkniecie 1)
(progn

(mh:ACX_LoadLineType "profilek.lin" "IS_dot_v002" nil)

(mh:ACX_MAKE_TextStyle_TTF "IS_Arial" "Arial" nil 0.8 nil T)


(mh:ENT_Make_Layer "IS_przekroje_oznaczenia" 78 "CONTINUOUS" 18 1 0 T)
(setvar "osnapcoord" 1)


;=========================================================================
(setq	P1 (getpoint "\nKliknij pierwszy punkt oznaczenia przekroju.")
		P2 (getpoint P1 "\nKliknij drugi punkt oznaczenia przekroju.")
);setq
;=========================================================================
(vla-put-LinetypeScale	(vlax-ename->vla-object (mh:ENT_Make_Line "IS_przekroje_oznaczenia" P1 P2 nil "IS_dot_v002" nil))
						(* SKALA (getvar "CELTSCALE"))
)
;=========================================================================
(setq	P3 (getpoint P1 "\nKliknij kierunek odejcia")
		katciecia (+ (* 2 pi) (angle P1 P2))
		P4 (polar P3 (+ katciecia (/ pi 2)) (distance P1 P2))
		P5 (inters P1 P2 P3 P4 nil)
		katkierunku (+ (* 2 pi) (angle P5 P3))
);setq
;=========================================================================
(if katkierunku
	(progn
		(setq	A1 (polar P1 katkierunku (* 45 SKALA))
				A2 (polar A1 (+ katkierunku (/ pi 2)) (* 13 SKALA))
				A8 (polar A1 (- katkierunku (/ pi 2)) (* 13 SKALA))
				A3 (polar A2 (- katkierunku 0.13) (* 47 SKALA))
				A7 (polar A8 (+ katkierunku 0.13) (* 47 SKALA))
				A4 (polar A3 (+ katkierunku (/ pi 2)) (* 13 SKALA))
				A6 (polar A7 (- katkierunku (/ pi 2)) (* 13 SKALA))
				A5 (polar A1 katkierunku (* 80 SKALA))
				A9 (if 
						(>
							(distance (polar P1 (angle P1 P2) (* 0.5 (distance P1 P2))) (polar A1 (+ katkierunku (/ pi 2)) (* 36 SKALA)))
							(distance (polar P1 (angle P1 P2) (* 0.5 (distance P1 P2))) (polar A1 (- katkierunku (/ pi 2)) (* 36 SKALA)))
						)
						(polar A1 (+ katkierunku (/ pi 2)) (* 36 SKALA))
						(polar A1 (- katkierunku (/ pi 2)) (* 36 SKALA))
					)
		);setq
		(command	"_line" P1 A1 ""
					"_pline" A1 "_w" "0" "0" A2 A3 A4 A5 A6 A7 A8 "_c"
					"_.text" "_J" "_C" A9 (rtos (* 42 SKALA) 2 2) (rtos (/ (* (- katkierunku (/ pi 2)) 180) pi) 2 2) DCL_symbol
		);command

		(setq	A1 (polar P2 katkierunku (* 45 SKALA))
				A2 (polar A1 (+ katkierunku (/ pi 2)) (* 13 SKALA))
				A8 (polar A1 (- katkierunku (/ pi 2)) (* 13 SKALA))
				A3 (polar A2 (- katkierunku 0.13) (* 47 SKALA))
				A7 (polar A8 (+ katkierunku 0.13) (* 47 SKALA))
				A4 (polar A3 (+ katkierunku (/ pi 2)) (* 13 SKALA))
				A6 (polar A7 (- katkierunku (/ pi 2)) (* 13 SKALA))
				A5 (polar A1 katkierunku (* 80 SKALA))
				A9 (if 
						(>
							(distance (polar P1 (angle P1 P2) (* 0.5 (distance P1 P2))) (polar A1 (+ katkierunku (/ pi 2)) (* 36 SKALA)))
							(distance (polar P1 (angle P1 P2) (* 0.5 (distance P1 P2))) (polar A1 (- katkierunku (/ pi 2)) (* 36 SKALA)))
						)
						(polar A1 (+ katkierunku (/ pi 2)) (* 36 SKALA))
						(polar A1 (- katkierunku (/ pi 2)) (* 36 SKALA))
					)
		);setq
		(command	"_line" P2 A1 ""
					"_pline" A1 "_w" "0" "0" A2 A3 A4 A5 A6 A7 A8 "_c"
					"_.text" "_J" "_C" A9 (rtos (* 42 SKALA) 2 2) (rtos (/ (* (- katkierunku (/ pi 2)) 180) pi) 2 2) DCL_symbol
		);command
	);progn
);if



);progn
);if


(mh:ustprzywr) 
);defun
;=========================================================================

;=========================================================================
(defun c:rysunkitypowe ( / sciezka)
	(setq sciezka (strcat (mh:gdziepliki 0) "\\RYSUNKI_TYPOWE\\"))
		(mh:pliki sciezka "Wstawianie rysunkw typowych.")
);defun schematydwg
;=========================================================================

;=========================================================================
(defun c:prof_prod ( / sciezka)
	(setq sciezka (strcat (mh:gdziepliki 0) "\\PRODUCENCI\\"))
		(mh:pliki3 sciezka "Producenci")
);defun schematydwg
;=========================================================================

;=========================================================================
(defun c:strzkrotka ( / szerpline)
(mh:ustzap)
(setq szerpline (getvar "PLINEWID"))
(setvar "PLINEWID" 0.0)


	(if (/= (substr (getvar "CLAYER") 1 10) "IS_rewizja")
		(mh:ENT_Make_Layer "IS_opisy" 41 "CONTINUOUS" 13 1 0 T)
	);if

	(mh:strzpol 0.25 nil 0.6 nil)

(setvar "PLINEWID" szerpline)
(mh:ustprzywr)
);defun
;=========================================================================

;=========================================================================
(defun c:strzdluga ( / szerpline)
(mh:ustzap)
(setq szerpline (getvar "PLINEWID"))
(setvar "PLINEWID" 0.0)

	(if (/= (substr (getvar "CLAYER") 1 10) "IS_rewizja")
		(mh:ENT_Make_Layer "IS_opisy" 41 "CONTINUOUS" 13 1 0 T)
	);if

	(mh:strzpol 0.03 nil 0.2 nil)

(setvar "PLINEWID" szerpline)
(mh:ustprzywr)
);defun
;=========================================================================

;=========================================================================
(defun C:strzdynamic (/ SP LST)
(mh:ustzap)

;=========================================================================
			(defun mh:STRZALKA_DynamicPreview (Sp / VP VE P1 P2 P3 P4 P5 P6)
				(while (= 5 (car (setq VP (grread T 13 0))))
					(redraw)
					(setq	VE (cadr VP)
							P1 (polar Sp (+ (angle Sp VE) (* pi 0.5)) (* (distance Sp VE) 0.05))
							P2 (polar Sp (- (angle Sp VE) (* pi 0.5)) (* (distance Sp VE) 0.05))
							P3 (polar P1 (angle Sp VE) (* (distance Sp VE) 0.7))
							P4 (polar P2 (angle Sp VE) (* (distance Sp VE) 0.7))
							P5 (polar P3 (+ (angle Sp VE) (* pi 0.5)) (* (distance Sp VE) 0.1232))
							P6 (polar P4 (- (angle Sp VE) (* pi 0.5)) (* (distance Sp VE) 0.1232))
					)
					(grvecs (list 1 P1 P2 P2 P4 P4 P6 P6 VE VE P5 P5 P3 P3 P1))
				)
				(redraw)
				(if (= 3 (car VP))
					(list P1 P2 P4 P6 VE P5 P3)
				)
			)
;=========================================================================




	(if (setq SP (getpoint "\nZaznacz pocztek strzaki: "))
		(progn
			(princ "\nZaznacz koniec strzaki: ")
			(if (setq LST (mh:STRZALKA_DynamicPreview SP))
				(progn
					(mh:SYS_StartUndo)
					(mh:ENT_Make_LWPolyline (getvar "CLAYER") nil LST 1)
					(mh:SYS_EndUndo)
				)
				(princ "\n nieprawidowy punkt.")
			)
		)
		(princ "\n nieprawidowy punkt.")
	)
	(redraw)
	
(mh:ustprzywr)
)
;=========================================================================

;=========================================================================
(defun c:izolacjaboczna ( / DCL_grubosc_izolacji dcl_id zamkniecie oldCELTSCALE P1 P2 P3 L1 L2 L2a L2b L3 K1 K2 K2a K2b K3 CzyKonczyc )
(mh:ustzap)

;(setvar "DIMZIN" 0)
(setvar "OSNAPCOORD" 1)

;==================
	(if (null *grubscizolacji*)
		(setq *grubscizolacji* 4.0)
	);if
	
      (setq DCL_grubosc_izolacji (rtos *grubscizolacji*)
      )  
;==================


(setq dcl_id (load_dialog "profilek-inne.dcl"))
   (if (not (new_dialog "gruboscizolacji" dcl_id))
		(progn
			(alert "Nie znaleziono pliku profilek-inne.dcl")
			(exit)
		);progn
	);if
		

;==================		
      (foreach % (list "DCL_grubosc_izolacji")
	  
	    (set_tile % (eval (read %)))
        (action_tile % (strcat "(setq " % " $value)"))
      )
;================
;================

			(action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
			(action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
   
   (start_dialog)
   (unload_dialog dcl_id)
   
    

(if (= zamkniecie 1)
	(progn			
			;=========================================================================
			;Sprawdzenie i podstawienie do zmiennych numerycznych wartoci z editbox'w
			(if (> (atof (mh:MsgCommaToDot DCL_grubosc_izolacji)) 0)
				(setq *grubscizolacji* (atof (mh:MsgCommaToDot DCL_grubosc_izolacji)))
				(progn
					(alert "Grubo izolacji nie jest wpisana poprawnie!")
					(setq zamkniecie 0)
				)
			)
			;=========================================================================
	);progn
);if



(if (= zamkniecie 1)
(progn	

				;=============================================================
				(mh:ACX_LoadLineType "profilek.lin" "IS_izolacja_001" nil)
				(mh:ENT_Make_Layer "IS_izolacja" 251 "CONTINUOUS" 05 1 0 T)
				;=============================================================
				(setq oldCELTSCALE (getvar "CELTSCALE"))

				(setq	P1 (getpoint "\nKliknij pierwszy punkt obwodu izolacji.")
						P2 (getpoint P1 "\nKliknij drugi punkt obwodu izolacji.")
						P3 (getpoint P2 "\nKliknij kolejny punkt obwodu izolacji.")
				);setq


				;=========================================================================
				(while P3
						(if (null L1)
							(setq	L1 (polar P1 (mh:anglefix (+ (angle P1 P2) (* pi 0.5))) (/ *grubscizolacji* 2)))
							(setq	L1 L2)
						)
						(setq	L2a (polar P2 (mh:anglefix (+ (angle P1 P2) (* pi 0.5))) (/ *grubscizolacji* 2))
								L2b (polar P2 (mh:anglefix (+ (angle P2 P3) (* pi 0.5))) (/ *grubscizolacji* 2))
								L3 (polar P3 (mh:anglefix (+ (angle P2 P3) (* pi 0.5))) (/ *grubscizolacji* 2)))
							(if (= 0 (distance L2a L2b))
								(setq L2 L2a)
								(setq L2 (inters L1 L2a L2b L3 nil))
							);if
							(setvar "celtype" "IS_izolacja_001")
							(setvar "CELTSCALE" (* (* *grubscizolacji* 0.95) oldCELTSCALE))
							(command "_line" L1 L2 "")
							
						(if (null K1)	
							(setq	K1 (polar P1 (mh:anglefix (+ (angle P1 P2) (* pi 0.5))) *grubscizolacji*))
							(setq	K1 K2)
						)
						(setq	K2a (polar P2 (mh:anglefix (+ (angle P1 P2) (* pi 0.5))) *grubscizolacji*)
								K2b (polar P2 (mh:anglefix (+ (angle P2 P3) (* pi 0.5))) *grubscizolacji*)
								K3 (polar P3 (mh:anglefix (+ (angle P2 P3) (* pi 0.5))) *grubscizolacji*))
							(if (= 0 (distance K2a K2b))
								(setq K2 K2a)
								(setq K2 (inters K1 K2a K2b K3 nil))
							);if
							(setvar "celtype" "BYLAYER")
							(setvar "CELTSCALE" 1.0)
							(command "_line" K1 K2 "")
							

				(setq	P1 P2
						P2 P3
						P3 (getpoint P2 "\nKliknij kolejny punkt obwodu izolacji.")
				);setq
				);while
				;=========================================================================


								(setq CzyKonczyc (mh:GetChoisText "\nDorysowa izolacj do koca?" '("Tak" "Nie") "Tak"))
								
								(if (= CzyKonczyc "Tak")
									(progn
											(if (null L1)
												(setq	L1 (polar P1 (mh:anglefix (+ (angle P1 P2) (* pi 0.5))) (/ *grubscizolacji* 2)))
												(setq	L1 L2)
											)
											(setq	L2 (polar P2 (mh:anglefix (+ (angle P1 P2) (* pi 0.5))) (/ *grubscizolacji* 2)))
												(setvar "celtype" "IS_izolacja_001")
												(setvar "CELTSCALE" (* (* *grubscizolacji* 0.95) oldCELTSCALE))
												(command "_line" L1 L2 "")
												
											(if (null K1)	
												(setq	K1 (polar P1 (mh:anglefix (+ (angle P1 P2) (* pi 0.5))) *grubscizolacji*))
												(setq	K1 K2)
											)
											(setq	K2 (polar P2 (mh:anglefix (+ (angle P1 P2) (* pi 0.5))) *grubscizolacji*))
												(setvar "celtype" "BYLAYER")
												(setvar "CELTSCALE" 1.0)
												(command "_line" K1 K2 "")
									);progn
								);if
					
				(setvar "CELTSCALE" oldCELTSCALE)

);progn
);if
	

(mh:ustprzywr)
);defun
;=========================================================================

;=========================================================================
(defun c:sf () (c:mhslide))
(defun c:mhslide ( / ECHO_MEMBER P1) ;ZWCAD/ZWCAD+
(setq	ECHO_MEMBER (getvar "cmdecho"))
(setvar "cmdecho" 0)



;=========================================================================
;przesunac 
(setq P1 (getpoint "\nPodaj punkt wstawienia tego rysunku / punkt 0,0 przy wstawianiu insertem.")) 
(command "_insbase" P1)
;=========================================================================

;=========================================================================
;wyczyscic rysunek ze zbdnych elementw - dziaa OK
(command "_-purge" "_a" "" "_n")
;=========================================================================

;=========================================================================
;zoom calosc rysunku - dziaa OK
(command "_zoom" "_e")
;=========================================================================


;=========================================================================
;zapisac jako dwg2000
(if (or (=(getvar "PRODUCT") "AutoCAD") (=(getvar "PRODUCT") "AutoCAD LT") (=(getvar "PRODUCT") "ZWCAD")) ; wersja na AC ZW+ 			;ZWCAD/ZWCAD+
;(if (or (=(getvar "PRODUCT") "AutoCAD") (=(getvar "PRODUCT") "AutoCAD LT") (=(getvar "PRODUCT") "GstarCAD")) ; wersja na ZW GS 											;ZWCAD/ZWCAD+
	(command "_saveas" "_2000" "" "_y") 	;dziaa na autocadzie i zwcadzie+ igstarcad2016
	(command "_saveas" "_a2k" "" "_y") 		;dziaa na gstarcadzie starym oraz starym zwcadzie
)
;=========================================================================

;=========================================================================
;zrobic slide_image
(command "_mslide" (strcat (getvar "dwgprefix") (vl-filename-base (strcat (getvar "dwgprefix") (getvar "dwgname"))) ".sld"))		;dziaa OK
;(command "_mslide" "") 	;dziaa tylko na autocad
;=========================================================================

;=========================================================================
;skasowa plik bak
(vl-file-delete 
		(strcat (getvar "dwgprefix") (vl-filename-base (strcat (getvar "dwgprefix") (getvar "dwgname"))) ".bak")
)
;=========================================================================

;=========================================================================
;skasowa plik dxf jak jest taki
(if (findfile (strcat (getvar "dwgprefix") (vl-filename-base (strcat (getvar "dwgprefix") (getvar "dwgname"))) ".dxf"))
	(vl-file-delete 
			(strcat (getvar "dwgprefix") (vl-filename-base (strcat (getvar "dwgprefix") (getvar "dwgname"))) ".dxf")
	)
)
;=========================================================================

;=========================================================================
;zamkn rysunek
(command "_close")
;=========================================================================

(setvar "cmdecho" ECHO_MEMBER)
(princ)
) ;defun mhslide
;=========================================================================

;=========================================================================
(defun c:mhbackup () ; ;ZWCAD/ZWCAD+

	(if (or (= (getvar "PRODUCT") "AutoCAD") (= (getvar "PRODUCT") "AutoCAD LT") (= (getvar "PRODUCT") "ZWCAD")) ; wersja AC ZW+ 		;ZWCAD/ZWCAD+
	;(if (or (= (getvar "PRODUCT") "AutoCAD") (= (getvar "PRODUCT") "AutoCAD LT")) ; wersja na ZW GS 									;ZWCAD/ZWCAD+
		(c:mhbackup-new) 	;dziaa na autocadzie i zwcadzie+
		(c:mhbackup-old) 	;dziaa na gstarcadzie oraz starym zwcadzie
	)

);defun
;=========================================================================

;=========================================================================
(defun c:mhbackup-old ( / DirName name0 name1) ; ; skopiowac do wersji starej jak by powstaa
(mh:ustzap)
; zmienne
; (getvar "dwgname") - asd.dwg
; (getvar "dwgprefix") - C:\Users\marcin\Desktop\
; (getvar "savename") - C:\Users\marcin\Desktop\asd.dwg
; (vl-filename-base (getvar "savename")) - asd

; (strcat (getvar "dwgprefix") "BACKUP_PROFILEK" "\\" (vl-filename-base (getvar "savename")) "_" (mh:getdate) "_" (mh:gettime) ".dwg") - "C:\\Users\\marcin\\Desktop\\BACKUP_PROFILEK\\asd_2012_02_26_12:45:53.dwg"
; (vl-mkdir directoryname)





	(setq	DirName		"BACKUP_PROFILEK"
			name0		(getvar "savename")
			name1		(strcat (getvar "dwgprefix") DirName "\\" (vl-filename-base (getvar "savename")) "  -  " (mh:getdate) "  -  " (mh:gettime) ".dwg")
	);setq

	(if (= nil (vl-file-directory-p (strcat (getvar "dwgprefix") DirName)))
		(vl-mkdir (strcat (getvar "dwgprefix") DirName))
	);if

	(command "_qsave")
	(command "_saveas" "" name1)
	(command "_saveas" "" name0 "_y") ;zwcad+ nie potrzebuje na kocu potwierdzenia "_y"  sprawdzi jaka zmienna tym steruje

(mh:ustprzywr)
);defun
;=========================================================================

;=========================================================================
(defun c:mhbackup-new ( / DirName name0 name1) ; - ; skopiowac do wersji starej jak by powstaa
(mh:ustzap)

	(setq	DirName		"BACKUP_PROFILEK"
			name0		(getvar "savename")
			name1		(strcat (getvar "dwgprefix") DirName "\\" (vl-filename-base (getvar "savename")) "  -  " (mh:getdate) "  -  " (mh:gettime) ".dwg")
	);setq

	(if (= nil (vl-file-directory-p (strcat (getvar "dwgprefix") DirName)))
		(vl-mkdir (strcat (getvar "dwgprefix") DirName))
	);if

	(command "_qsave")
	(if (vl-file-copy name0 name1)
		(princ "\nKopia zapisana. ")
		(princ "\nNiepowodzenie w tworzeniu kopii zapasowej. Sprbuj najpierw zapisa plik skrtem \"CTRL+S\" ")
	)

(mh:ustprzywr)

);defun
;=========================================================================

;=========================================================================
(defun c:mhlustro ( / zbior punkt punkt2) ; szybkie lustro
	(mh:ustzap)

		(princ "\n\n--Wybierz elementy:--- ")
		(setq zbior (ssget "_:S"))

		(while zbior
			(setq	punkt (getpoint "\nWska punkt odbicia w pionie.")
					punkt2 (polar punkt (* 0.5 pi) 100)
			)
			(command "_mirror" zbior "" punkt punkt2 "_y")

			(setq zbior (ssget "_:S"))
			(princ)
		);while

	(mh:ustprzywr)
);defun
;=========================================================================

